Bug 573535

Summary: RFE: Cannot bump version / reopen zapped bugs reported by others
Product: [Community] Bugzilla Reporter: Matt McCutchen <matt>
Component: Creating/Changing BugsAssignee: Jeff Fearn 🐞 <jfearn>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 3.6CC: awilliam, dcantrell, matt, pv.bugzilla, sgreen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-30 13:51:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matt McCutchen 2010-03-15 05:47:22 UTC
Description of problem:
Suppose I go to report a bug.  Like a good citizen, I search for it first and find that someone else reported it against an old version of Fedora and it was closed by the bug zapper (this is not uncommon).  I would like to bump the version and reopen it, but the bug tracker won't let me.  I am left with two options, neither of them good:

1. Add a comment asking the reporter to bump and reopen.  This doesn't always happen in a timely manner; e.g., see bug 451425 comment #4.

2. File a new bug.  This makes more work for the developer, who has to decide which one to leave open and mark the other one as a duplicate.

How reproducible:
Always

Steps to Reproduce:
1. Visit a zapped bug reported by another user.
  
Actual results:
The UI does not let me bump the version nor reopen the bug.

Expected results:
I can bump the version and reopen the bug.

Additional info:
A fix here might interact with a fix for bug 528319.

Comment 1 Adam Williamson 2010-06-25 20:29:39 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 David Lawrence 2010-06-25 20:37:00 UTC
I suppose we need to nail down the exact list of fields that should be allowed editable by a logged in user. Normally the only thing a non-privileged user can do is add a comment or add themselves to the cc list. 

For this we would need to expand that a bit and at a minimum allow changing of status and version. 

Will just those two fields be sufficient for this request?

Dave

Comment 3 Phil V 2010-07-01 09:14:58 UTC
Speaking just as an end-user uninformed about bugzilla internals, that power (allow changing of status and version) 
sounds essential to the goal of making it possible for users to follow the directions given on all EOL bugs:

"If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version."

Comment 4 Adam Williamson 2010-07-07 00:00:04 UTC
phil: yes, that's one angle we're coming at this from.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 David Lawrence 2010-07-23 02:42:06 UTC
(In reply to comment #2)
> For this we would need to expand that a bit and at a minimum allow changing of
> status and version. 
> 
> Will just those two fields be sufficient for this request?

So am i right that status and version will be enough to allow for Fedora?

Dave

Comment 6 David Lawrence 2010-08-09 21:08:16 UTC
ping

Comment 7 Phil V 2010-08-12 00:09:23 UTC
The original reporter didn't get a response for 3 months and may have given up.
As the second requester perhaps my opinion may be helpful: 

Yes, bugs closed 
(at least those closed by bugzapper due to old version, and maybe other closed bugs) 

both status and version should be mutable so that someone could bump it up to a current version if it remains relevant.

A related change could be to adjust whether bug-reporter previously reported bug search will look to match to closed bugs. At least bugs recently closed should be available for matching.

Comment 8 Matt McCutchen 2010-08-12 07:00:30 UTC
(In reply to comment #7)
> The original reporter didn't get a response for 3 months and may have given up.

I haven't given up by any means.  I assumed David wanted an answer from Adam because he is the one with the authority to move the request forward.  From my POV, the status and version fields are enough.

> A related change could be to adjust whether bug-reporter previously reported
> bug search will look to match to closed bugs. At least bugs recently closed
> should be available for matching.    

When I search for previous bugs, I do not filter by status.  In theory I shouldn't see a bug that is marked fixed in the Fedora version I am using, but such a bug may still contain valuable information.  And then there are WONTFIX/NOTABUG bugs and zapped bugs (currently hard to distinguish from true WONTFIX, see bug 528319), for which there is no affirmative reason to believe the phenomenon doesn't still occur.  The change proposed here would help keep reproducible bugs unzapped, but it wouldn't change my search behavior.

Comment 9 Phil V 2010-11-18 05:07:04 UTC
Hi, Bugzapper is about to close many bugs that are still current but whose original reporter does not advance their version. 

Have any changes been made or 
Should we make new and duplicate bug reports for all these bugs?

For example,

https://bugzilla.redhat.com/show_bug.cgi?id=587131

"It is Fedora's policy to close all bug reports from releases that are no longer maintained.  At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '12'."

even though it's actively generating crash reports for F14.

Comment 10 Jeff Fearn 🐞 2012-05-30 04:41:50 UTC
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 11 Jeff Fearn 🐞 2012-05-30 04:43:24 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 12 Simon Green 2012-05-30 13:51:27 UTC
(In reply to comment #0)
> bump the version and reopen it, but the bug tracker won't let me.  I am left
> with two options, neither of them good:

Or 3. Use the 'Clone this bug' link that appears at the top or bottom of a bug page to clone it with the new version number.